%define fname	httplib2

Name:		python-httplib2
Summary:	Python HTTP library module
Version:	0.7.4
Release:	%mkrel 4
Source0:	http://httplib2.googlecode.com/files/%{fname}-%{version}.tar.gz
Patch0:		httplib2-use-system-certs.patch
Patch1:		httplib2-ssl-hostname.patch
URL:		http://code.google.com/p/httplib2
Group:		System/Libraries
License:	MIT
BuildArch:	noarch
BuildRequires:	python

%description
A comprehensive HTTP client library that supports many features left
out of other HTTP libraries.

%package -n python3-httplib2
Summary:	Python 3 HTTP library module
Group:		System/Libraries
BuildRequires:	python3

%description -n python3-httplib2
A comprehensive HTTP client library that supports many features left
out of other HTTP libraries.

%prep
%setup -q -c
mv httplib2-%{version} python2
pushd python2
%patch0 -p0 -b .certfile
%patch1 -p1 -b .ssl-hostname
popd
cp -r python2 python3

%build
pushd python2
python setup.py build
popd

pushd python3
python3 setup.py build
popd

%install
rm -rf %{buildroot}

pushd python2
python setup.py install --root=%{buildroot} --compile --optimize=2
popd

pushd python3
python3 setup.py install --root=%{buildroot} --compile --optimize=2
popd

%files
%doc python2/README
%{py_puresitedir}/%{fname}
%{py_puresitedir}/%{fname}-%{version}-py%{pyver}.egg-info

%files -n python3-httplib2
%doc python3/README
%{py3_puresitedir}/%{fname}
%{py3_puresitedir}/%{fname}-%{version}-py%{py3ver}.egg-info


%changelog
* Thu May 23 2013 philippem <philippem> 0.7.4-4.mga2
+ Revision: 425477
- fix P3K cert file not found
- fix P3K cert file not found
- Fix #6568 use system-wide cacerts
- Update to 0.7.4.

  + luigiwalser <luigiwalser>
    - add upstream patch to fix CVE-2013-2037

* Thu Mar 01 2012 guillomovitch <guillomovitch> 0.7.2-2.mga2
+ Revision: 216361
- build for python3 too

* Fri Nov 18 2011 philippem <philippem> 0.7.2-1.mga2
+ Revision: 168672
- Update to 0.7.2

* Mon Jun 20 2011 kharec <kharec> 0.7.1-1.mga2
+ Revision: 110294
- new version 0.7.1

* Thu Feb 17 2011 wally <wally> 0.6.0-3.mga1
+ Revision: 53114
- clean .spec
- remove old py_requires macro
- remove buildroot definition
- imported package python-httplib2

